From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-perl/Tk-TableMatrix/
Date: Sun, 18 Jun 2023 01:24:31 +0000 (UTC) [thread overview]
Message-ID: <1687051370.4d52657d4e486c23b579c619bd7bc2e02ed70061.sam@gentoo> (raw)
commit: 4d52657d4e486c23b579c619bd7bc2e02ed70061
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 18 01:22:50 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jun 18 01:22:50 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d52657d
dev-perl/Tk-TableMatrix: add 1.290.0
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-perl/Tk-TableMatrix/Manifest | 1 +
.../Tk-TableMatrix/Tk-TableMatrix-1.290.0.ebuild | 33 ++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/dev-perl/Tk-TableMatrix/Manifest b/dev-perl/Tk-TableMatrix/Manifest
index e238f44f4387..4bfea4abdb89 100644
--- a/dev-perl/Tk-TableMatrix/Manifest
+++ b/dev-perl/Tk-TableMatrix/Manifest
@@ -1 +1,2 @@
DIST Tk-TableMatrix-1.26.tar.gz 410559 BLAKE2B d0a5763469b5abdd6eba92a6a3de05b1b07f7d09f851f6471d3953ef93b242e65be6bcbc00a72ff61c11a9b42b0cf10678c11efbbff91ca4cb209df9317a0874 SHA512 bd45e3c72e330de3722fe365989f6bd0bd938d72fad166c1a65a3667d07f8c10bf792742bf82a8154b43d3453a79e737788b0a4a288f318c370cc0c5fe94917f
+DIST Tk-TableMatrix-1.29.tar.gz 425413 BLAKE2B 5b039f7333903a46444a4aedde41f477d6d2e11b592d139a8691553af3d34c30586ae3139979b9965b596d0d32e20d3c2c009e1af76ed1f8915c3e9b9fde55b3 SHA512 a8681661497e26474a49c6d616ee072b765d1371f96155a820fae38e154d79ce5e4ddf1adf25ea358b28a36c300059a0e795ab85ee451d172a56c1945ded42dd
diff --git a/dev-perl/Tk-TableMatrix/Tk-TableMatrix-1.290.0.ebuild b/dev-perl/Tk-TableMatrix/Tk-TableMatrix-1.290.0.ebuild
new file mode 100644
index 000000000000..b67c88b9cb0f
--- /dev/null
+++ b/dev-perl/Tk-TableMatrix/Tk-TableMatrix-1.290.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DIST_AUTHOR=CAC
+DIST_VERSION=1.29
+inherit perl-module virtualx
+
+DESCRIPTION="Create and manipulate tables in Perl + Tk"
+
+LICENSE="Artistic"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-perl/Tk-800.22.0
+"
+BDEPEND="${RDEPEND}
+ >=virtual/perl-ExtUtils-MakeMaker-6.520.0
+"
+
+src_test() {
+ virtx perl-module_src_test
+}
+
+src_install() {
+ perl-module_src_install
+
+ # Clean out stray conflicting file - it's generated by perl-tk already.
+ # Bug #169294
+ rm "${D}"/${VENDOR_ARCH}/auto/Tk/pTk/extralibs.ld || die
+}
next reply other threads:[~2023-06-18 1:24 UTC|newest]
Thread overview: 20+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-06-18 1:24 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-08-16 2:20 [gentoo-commits] repo/gentoo:master commit in: dev-perl/Tk-TableMatrix/ Sam James
2023-07-24 4:15 Sam James
2023-07-24 4:15 Sam James
2023-07-24 4:15 Sam James
2023-07-24 4:15 Sam James
2023-06-18 1:24 Sam James
2022-03-21 7:50 Agostino Sarubbo
2022-03-18 9:07 Arthur Zamarin
2022-03-18 8:06 Arthur Zamarin
2022-03-18 8:02 Arthur Zamarin
2022-03-15 19:44 Jakov Smolić
2022-03-15 18:49 Jakov Smolić
2022-03-09 13:00 Yixun Lan
2021-10-16 0:48 Sam James
2021-09-29 20:03 Andreas K. Hüttel
2021-08-02 2:24 Sam James
2020-08-17 8:45 Fabian Groffen
2020-06-22 19:05 Mart Raudsepp
2017-12-03 22:14 James Le Cuirot
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1687051370.4d52657d4e486c23b579c619bd7bc2e02ed70061.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox